//
//  SBSDKTIFFImageWriterCompressionOptions.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 13.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKTIFFImageWriterCompressionOptions {
    init?(string: String) {
        switch string {
        case "NONE": self = .COMPRESSION_NONE
        case "CCITTRLE": self = .COMPRESSION_CCITTRLE
        case "CCITTFAX3": self = .COMPRESSION_CCITTFAX3
        case "CCITT_T4": self = .COMPRESSION_CCITT_T4
        case "CCITTFAX4": self = .COMPRESSION_CCITTFAX4
        case "CCITT_T6": self = .COMPRESSION_CCITT_T6
        case "LZW": self = .COMPRESSION_LZW
        case "OJPEG": self = .COMPRESSION_OJPEG
        case "JPEG": self = .COMPRESSION_JPEG
        case "T85": self = .COMPRESSION_T85
        case "T43": self = .COMPRESSION_T43
        case "NEXT": self = .COMPRESSION_NEXT
        case "CCITTRLEW": self = .COMPRESSION_CCITTRLEW
        case "PACKBITS": self = .COMPRESSION_PACKBITS
        case "THUNDERSCAN": self = .COMPRESSION_THUNDERSCAN
        case "IT8CTPAD": self = .COMPRESSION_IT8CTPAD
        case "IT8LW": self = .COMPRESSION_IT8LW
        case "IT8MP": self = .COMPRESSION_IT8MP
        case "IT8BL": self = .COMPRESSION_IT8BL
        case "PIXARFILM": self = .COMPRESSION_PIXARFILM
        case "PIXARLOG": self = .COMPRESSION_PIXARLOG
        case "DEFLATE": self = .COMPRESSION_DEFLATE
        case "ADOBE_DEFLATE": self = .COMPRESSION_ADOBE_DEFLATE
        case "DCS": self = .COMPRESSION_DCS
        case "JBIG": self = .COMPRESSION_JBIG
        case "SGILOG": self = .COMPRESSION_SGILOG
        case "SGILOG24": self = .COMPRESSION_SGILOG24
        case "JP2000": self = .COMPRESSION_JP2000
        case "LZMA": self = .COMPRESSION_LZMA
        default: return nil
        }
    }
}

